(function (global, factory) {
	typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@angular/core'), require('@angular/common'), require('@angular/material'), require('@angular/platform-browser/animations')) :
	typeof define === 'function' && define.amd ? define(['exports', '@angular/core', '@angular/common', '@angular/material', '@angular/platform-browser/animations'], factory) :
	(factory((global.ng = global.ng || {}, global.ng['angular-material-clock-time-picker'] = {}),global.ng.core,global.common,global.material,global.animations));
}(this, (function (exports,core,common,material,animations) { 'use strict';

var TimePickerComponent = /** @class */ (function () {
    function TimePickerComponent(element, data) {
        this.element = element;
        this.data = data;
        if (data && data.value) {
            this.ParseStringToTime(data.value);
        }
    }
    TimePickerComponent.prototype.ParseStringToTime = function (time) {
        var _a = time.split(':'), h = _a[0], m = _a[1];
        var hour = +h > 12 ? +h - 12 : +h;
        hour = hour === 0 ? 12 : hour;
        this.hour = hour;
        this.minute = +m;
        var ampm = +h >= 12 ? 'PM' : 'AM';
        this.ampm = ampm;
    };
    Object.defineProperty(TimePickerComponent.prototype, "Time", {
        get: function () {
            var hh = this.ampm === 'PM' ? +this.hour + 12 : +this.hour;
            if (this.ampm === 'AM' && hh === 12) {
                hh = 0;
            }
            if (hh === 24) {
                hh = 12;
            }
            hh = hh < 10 ? '0' + hh : '' + hh;
            var mm = this.minute < 10 ? '0' + this.minute : this.minute;
            var time = hh + ":" + mm;
            return time;
        },
        enumerable: true,
        configurable: true
    });
    TimePickerComponent.prototype.ngOnInit = function () {
        this.clockMaker();
    };
    return TimePickerComponent;
}());

/* tslint:disable */
/* tslint:enable */
var MatTimePickerDirective = /** @class */ (function () {
    function MatTimePickerDirective(el, dialog) {
        this.el = el;
        this.dialog = dialog;
    }
    MatTimePickerDirective.prototype.OnClick = function ($event) {
        var _this = this;
        var dialogRef = this.dialog.open(TimePickerComponent, {
            panelClass: 'dialog-box',
            data: {
                value: this.el.nativeElement.value
            }
        });
        dialogRef.afterClosed().subscribe(function (data) {
            if (data) {
                _this.el.nativeElement.value = data;
            }
        });
    };
    return MatTimePickerDirective;
}());

var MatTimePickerModule = /** @class */ (function () {
    function MatTimePickerModule() {
    }
    return MatTimePickerModule;
}());

exports.MatTimePickerModule = MatTimePickerModule;
exports.TimePickerComponent = TimePickerComponent;
exports.MatTimePickerDirective = MatTimePickerDirective;

Object.defineProperty(exports, '__esModule', { value: true });

})));
