import { Component, OnInit, ElementRef, Inject } from '@angular/core';
import { MAT_DIALOG_DATA } from '@angular/material';
var TimePickerComponent = /** @class */ (function () {
    function TimePickerComponent(element, data) {
        this.element = element;
        this.data = data;
        if (data && data.value) {
            this.ParseStringToTime(data.value);
        }
    }
    TimePickerComponent.prototype.ParseStringToTime = function (time) {
        var _a = time.split(':'), h = _a[0], m = _a[1];
        var hour = +h > 12 ? +h - 12 : +h;
        hour = hour === 0 ? 12 : hour;
        this.hour = hour;
        this.minute = +m;
        var ampm = +h >= 12 ? 'PM' : 'AM';
        this.ampm = ampm;
    };
    Object.defineProperty(TimePickerComponent.prototype, "Time", {
        get: function () {
            var hh = this.ampm === 'PM' ? +this.hour + 12 : +this.hour;
            if (this.ampm === 'AM' && hh === 12) {
                hh = 0;
            }
            if (hh === 24) {
                hh = 12;
            }
            hh = hh < 10 ? '0' + hh : '' + hh;
            var mm = this.minute < 10 ? '0' + this.minute : this.minute;
            var time = hh + ":" + mm;
            return time;
        },
        enumerable: true,
        configurable: true
    });
    TimePickerComponent.prototype.ngOnInit = function () {
        this.clockMaker();
    };
    return TimePickerComponent;
}());
export { TimePickerComponent };
//# sourceMappingURL=time-picker.component.js.map